Get Candidate Workers
Get candidate workers for an order identified by the given order_handle. Optionally pass destination_geometry to use a different destination for this request.
Authorization
BearerAuth In: header
Path Parameters
Query Parameters
Type of the order which can be drop or pick
Integer representing the pick or drop order index when having a pick/drop scenario
The attempt number for fulfilling the order
Profile filter to be applied on the list of workers before returning the candidates
Number of candidate workers to return
If true, only return workers which are different than already assigned to the order.
If true, skip the guard that rejects requests for orders in ongoing state.
GeoJSON Point geometry [longitude, latitude] to use as the order destination for this request
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/orders/string/candidate_workers"{ "candidate_workers": [ { "worker_handle": "string", "profile": { "property1": null, "property2": null }, "order_start_location": { "type": "string", "coordinates": [ null ] }, "route": { "route_handle": "string", "index": 0 }, "duration": 0, "distance": 0 } ]}{ "title": "string", "detail": "string"}{ "code": "string", "title": "string", "detail": "string"}{ "code": "string", "title": "string", "detail": "string"}